Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.job
Class Timer

    java.lang.Object
      org.jbpm.job.Job
          org.jbpm.job.Timer

All Implemented Interfaces:
  java.io.Serializable

    public class Timer

extends Job

See Also:
  Serialized Form

Constructor Summary
`Timer()`
`Timer(Token token)`

Method Summary
`boolean` | `execute(JbpmContext jbpmContext)`
`Action` | `getAction()`
`GraphElement` | `getGraphElement()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRepeat()`
`java.lang.String` | `getTransitionName()`
`void` | `setAction(Action action)`
`void` | `setGraphElement(GraphElement graphElement)`
`void` | `setName(java.lang.String name)`
`void` | `setRepeat(java.lang.String repeat)`
`void` | `setTransitionName(java.lang.String transitionName)`
`java.lang.String` | `toString()`

Methods inherited from class org.jbpm.job.Job
`getAqcuireDate, getConfiguration, getDueDate, getException, getId, getJobExecutorName, getLockOwner, getLockTime, getProcessInstance, getRetries, getTaskInstance, getToken, getVersion, isExclusive, isSuspended, setConfiguration, setDueDate, setException, setExclusive, setLockOwner, setLockTime, setProcessInstance, setRetries, setSuspended, setTaskInstance, setToken, toStringLongFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Timer

    public Timer()

### Timer

    public Timer(Token token)

Method Detail

### execute

    public boolean execute(JbpmContext jbpmContext)
                    throws java.lang.Exception

  Specified by:
    `execute` in class `Job`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Job`

### getRepeat

    public java.lang.String getRepeat()

### setRepeat

    public void setRepeat(java.lang.String repeat)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getTransitionName

    public java.lang.String getTransitionName()

### setTransitionName

    public void setTransitionName(java.lang.String transitionName)

### getGraphElement

    public GraphElement getGraphElement()

### setGraphElement

    public void setGraphElement(GraphElement graphElement)

### getAction

    public Action getAction()

### setAction

    public void setAction(Action action)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD